
%define _requires_exceptions libtiff.so.4

Summary:	Slimboat Web Browser
Name:		slimboat
Version:	1.1.54
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.slimboat.com/en/dlpage.php
Source1:	slimboat.png
Source2:	slimboat.desktop
Provides:	webclient
Requires:	indexhtml
Requires:       xdg-utils
Obsoletes:	%{name} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv: no
#-----------------------------------------------------

%description
Fast, secure and powerful internet web browser based on QtWebkit. 
SlimBoat is a free internet web browser that is fast, secure & 
loaded with powerful features. It is fast to start up and fast
to open your favorite web sites. SlimBoat helps you surf the
internet safely and securely by incorporating multiple layers
of strong protection measures. SlimBoat also includes tons of
powerful functions and flexible options so that you can reach
your favorite destination on Internet in the most convenient
way while avoid unnecessary distractions and annoyances. 


%prep

%build
#nobuild

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#nosrc
%ifarch x86_64
cd $RPM_BUILD_DIR && wget --no-check-certificate -O - "https://www.slimboat.com/download.php?version=lnx&type=gz64" | tar -xJf -
%endif
                                
%ifarch %ix86
cd $RPM_BUILD_DIR && wget --no-check-certificate -O - "https://www.slimboat.com/download.php?version=lnx&type=gz32" | tar -xJf -
%endif


mkdir -p %{buildroot}/%{_libdir}/%{name}
cp -R $RPM_BUILD_DIR/%{name}/* %{buildroot}/%{_libdir}/%{name}/

#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
cd %{_libdir}/%{name}
./slimboat.sh %u
cd ..
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p %{buildroot}/%_datadir/pixmaps
install -m 0644 %SOURCE1 %{buildroot}/%_datadir/pixmaps/%{name}.png

perl -p -i -e "s/Alla formulär/Alla formular/g" %{buildroot}/%{_libdir}/%{name}/language/Swedish.ini

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Mar 15 2015 bb <bb> 1.1.54-1pclos2015
- update

* Wed Nov 26 2014 bb <bb> 1.1.53-1pclos2014
- update

* Tue Oct 28 2014 bb <bb> 1.1.52-1pclos2014
- update
